TEST-UNEXPECTED-FAIL | test_places.py TestPlaces.test_history | AssertionError: Lists differ: [u'http://127.0.0.1:39017/layo... != ['http://127.0.0.1:39017/layou...

RESOLVED INCOMPLETE

Status

RESOLVED INCOMPLETE
2 years ago
9 months ago

People

(Reporter: whimboo, Unassigned)

Tracking

({intermittent-failure})

49 Branch
intermittent-failure
Points:
---

Firefox Tracking Flags

(firefox49 wontfix, firefox50 affected, firefox51 affected)

Details

(Reporter)

Description

2 years ago
https://treeherder.mozilla.org/#/jobs?repo=mozilla-inbound&filter-searchStr=Firefox%20UI&filter-tier=2&filter-tier=3&fromchange=351a2e0209b750bd4e2094473d0b4bd341fb2a40&selectedJob=29259690

 21:51:30     INFO - +  'http://127.0.0.1:39017/layout/mozilla_grants.html']

 21:51:30     INFO - Traceback (most recent call last):

 21:51:30     INFO -   File "/home/worker/workspace/build/venv/local/lib/python2.7/site-packages/marionette/marionette_test.py", line 344, in run

 21:51:30     INFO -     testMethod()

 21:51:30     INFO -   File "/home/worker/workspace/build/tests/firefox-ui/tests/puppeteer/test_places.py", line 80, in test_history

21:51:30 INFO - self.assertEqual(self.get_all_urls_in_history(), self.urls) 

Looks like there is an additional unexpected history item present:

 21:51:30     INFO - TEST-UNEXPECTED-FAIL | test_places.py TestPlaces.test_history | AssertionError: Lists differ: [u'http://127.0.0.1:39017/layo... != ['http://127.0.0.1:39017/layou...

 21:51:30     INFO - Second list contains 1 additional elements.

 21:51:30     INFO - First extra element 1:

 21:51:30     INFO - http://127.0.0.1:39017/layout/mozilla_grants.html

 21:51:30     INFO - 

 21:51:30     INFO - - [u'http://127.0.0.1:39017/layout/mozilla_governance.html']

 21:51:30     INFO - + ['http://127.0.0.1:39017/layout/mozilla_governance.html',
8 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 6
* try: 1
* mozilla-central: 1

Platform breakdown:
* linux64: 8

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1277485&startday=2016-06-06&endday=2016-06-12&tree=all
8 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 7
* fx-team: 1

Platform breakdown:
* linux64: 8

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1277485&startday=2016-06-27&endday=2016-07-03&tree=all
9 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 2
* mozilla-central: 2
* fx-team: 2
* try: 1
* mozilla-aurora: 1
* autoland: 1

Platform breakdown:
* linux64: 9

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1277485&startday=2016-07-04&endday=2016-07-10&tree=all
6 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 3
* mozilla-central: 1
* fx-team: 1
* autoland: 1

Platform breakdown:
* linux64: 6

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1277485&startday=2016-07-11&endday=2016-07-17&tree=all
5 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* autoland: 3
* mozilla-inbound: 2

Platform breakdown:
* linux64: 5

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1277485&startday=2016-07-18&endday=2016-07-24&tree=all
12 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 7
* autoland: 4
* mozilla-central: 1

Platform breakdown:
* linux64: 12

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1277485&startday=2016-07-25&endday=2016-07-31&tree=all
status-firefox49: --- → wontfix
status-firefox50: --- → affected
status-firefox51: --- → affected
2 failures in 718 pushes (0.003 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-central: 1
* autoland: 1

Platform breakdown:
* linux64: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1277485&startday=2017-06-26&endday=2017-07-02&tree=all
2 failures in 822 pushes (0.002 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-inbound: 1
* mozilla-esr52: 1

Platform breakdown:
* linux64: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1277485&startday=2017-07-17&endday=2017-07-23&tree=all
2 failures in 1008 pushes (0.002 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 2

Platform breakdown:
* linux64: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1277485&startday=2017-07-24&endday=2017-07-30&tree=all
1 failures in 824 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 1

Platform breakdown:
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1277485&startday=2017-10-02&endday=2017-10-08&tree=all
1 failures in 947 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-central: 1

Platform breakdown:
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1277485&startday=2017-10-09&endday=2017-10-15&tree=all
(Reporter)

Updated

9 months ago
Status: NEW → RESOLVED
Last Resolved: 9 months ago
Resolution: --- → INCOMPLETE
You need to log in before you can comment on or make changes to this bug.